- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Functions
Functions to manipulate subsurfaces.
Ecore » Ecore_Wayland - Wayland integration

Functions to manipulate wayland subsurfaces, using Ecore_Wl_Subsurf. More...

## Functions
EAPI Ecore_Wl_Subsurf * | ecore_wl_subsurf_create (Ecore_Wl_Window *win)
| Create and return a new subsurface. More...
EAPI void | ecore_wl_subsurf_del (Ecore_Wl_Subsurf *ess)
| Destroy the given subsurface, as well as the surface associated with it. More...
EAPI struct wl_surface * | ecore_wl_subsurf_surface_get (Ecore_Wl_Subsurf *ess)
| Return the wl_surface associated with this subsurface. More...
EAPI void | ecore_wl_subsurf_position_set (Ecore_Wl_Subsurf *ess, int x, int y)
| Set the position of this subsurface, relative to its parent surface. More...
EAPI void | ecore_wl_subsurf_position_get (Ecore_Wl_Subsurf *ess, int *x, int *y)
| Get the position of this subsurface, relative to its parent surface. More...
EAPI void | ecore_wl_subsurf_place_above (Ecore_Wl_Subsurf *ess, struct wl_surface *surface)
EAPI void | ecore_wl_subsurf_place_below (Ecore_Wl_Subsurf *ess, struct wl_surface *surface)
EAPI void | ecore_wl_subsurf_sync_set (Ecore_Wl_Subsurf *ess, Eina_Bool val)
EAPI void | ecore_wl_subsurf_opaque_region_set (Ecore_Wl_Subsurf *ess, int x, int y, int w, int h)
| Set an opaque region for the given subsurface. More...

## Detailed Description

Functions to manipulate wayland subsurfaces, using Ecore_Wl_Subsurf.

This API is intended to expose Wayland subsurface functionality, although it should not be necessary for most applications to use it, as soon as we have means to make Evas automatically switch Evas images to use subsurfaces.

It can/should be used, for instance, when subsurfaces are needed to be not in sync with the main window surface.

## Function Documentation

EAPI Ecore_Wl_Subsurf* ecore_wl_subsurf_create | ( | Ecore_Wl_Window * | win | ) |

Create and return a new subsurface.

Create a new surface (and subsurface interface), with the parent surface being the one associated with the given

Parameters

  win. | The
  win | must be visible, otherwise there will be no surface created for it yet.

Since
  1.8

References eina_inlist_append(), and EINA_INLIST_GET.

EAPI void ecore_wl_subsurf_del | ( | Ecore_Wl_Subsurf * | ess | ) |

Destroy the given subsurface, as well as the surface associated with it.

Since
  1.8

EAPI struct wl_surface* ecore_wl_subsurf_surface_get | ( | Ecore_Wl_Subsurf * | ess | ) |

Return the wl_surface associated with this subsurface.

Since
  1.8

EAPI void ecore_wl_subsurf_position_set | ( | Ecore_Wl_Subsurf * | ess,
|  | int | x,
|  | int | y
| ) |  |

Set the position of this subsurface, relative to its parent surface.

Since
  1.8

EAPI void ecore_wl_subsurf_position_get | ( | Ecore_Wl_Subsurf * | ess,
|  | int * | x,
|  | int * | y
| ) |  |

Get the position of this subsurface, relative to its parent surface.

Since
  1.8

EAPI void ecore_wl_subsurf_place_above | ( | Ecore_Wl_Subsurf * | ess,
|  | struct wl_surface * | surface
| ) |  |

Since
  1.8

EAPI void ecore_wl_subsurf_place_below | ( | Ecore_Wl_Subsurf * | ess,
|  | struct wl_surface * | surface
| ) |  |

Since
  1.8

EAPI void ecore_wl_subsurf_sync_set | ( | Ecore_Wl_Subsurf * | ess,
|  | Eina_Bool | val
| ) |  |

Since
  1.8

EAPI void ecore_wl_subsurf_opaque_region_set | ( | Ecore_Wl_Subsurf * | ess,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |

Set an opaque region for the given subsurface.

Use a 0x0 region size to unset the opaque region.

Since
  1.8